summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2016-09-21 10:41:04 -0400
committerIan Stakenvicius <axs@gentoo.org>2016-09-21 15:12:34 -0400
commit34ceb9546b5bf9068565db8cbed4d51adaf2be3a (patch)
tree4e29dafde180efe7f6ba45813a3510b555f14092 /eclass
parentRemove some masked for removal packages (diff)
downloadgentoo-34ceb9546b5bf9068565db8cbed4d51adaf2be3a.tar.gz
gentoo-34ceb9546b5bf9068565db8cbed4d51adaf2be3a.tar.bz2
gentoo-34ceb9546b5bf9068565db8cbed4d51adaf2be3a.zip
www-client/firefox: version bump to 49.0, security bug 594616
Package-Manager: portage-2.2.28
Diffstat (limited to 'eclass')
-rw-r--r--eclass/mozconfig-v6.49.eclass (renamed from eclass/mozconfig-v6.48.eclass)13
1 files changed, 6 insertions, 7 deletions
diff --git a/eclass/mozconfig-v6.48.eclass b/eclass/mozconfig-v6.49.eclass
index 17b41b96f731..5fa9db61f3b3 100644
--- a/eclass/mozconfig-v6.48.eclass
+++ b/eclass/mozconfig-v6.49.eclass
@@ -83,7 +83,7 @@ inherit flag-o-matic toolchain-funcs mozcoreconf-v4
# Set the variable to any value if the use flag should exist but not be default-enabled.
# use-flags common among all mozilla ebuilds
-IUSE="${IUSE} dbus debug +jemalloc3 neon pulseaudio selinux +skia startup-notification system-cairo
+IUSE="${IUSE} dbus debug +jemalloc neon pulseaudio selinux +skia startup-notification system-cairo
system-harfbuzz system-icu system-jpeg system-libevent system-sqlite system-libvpx"
# some notes on deps:
@@ -119,10 +119,10 @@ RDEPEND=">=app-text/hunspell-1.2
x11-libs/libXrender
x11-libs/libXt
system-cairo? ( >=x11-libs/cairo-1.12[X,xcb] >=x11-libs/pixman-0.19.2 )
- system-icu? ( >=dev-libs/icu-51.1:= )
+ system-icu? ( >=dev-libs/icu-56.1:= )
system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
system-libevent? ( =dev-libs/libevent-2.0*:0= )
- system-sqlite? ( >=dev-db/sqlite-3.12.2:3[secure-delete,debug=] )
+ system-sqlite? ( >=dev-db/sqlite-3.13.0:3[secure-delete,debug=] )
system-libvpx? ( >=media-libs/libvpx-1.5.0:0=[postproc] )
system-harfbuzz? ( >=media-libs/harfbuzz-1.2.6:0=[graphite,icu] >=media-gfx/graphite2-1.3.8 )
"
@@ -319,10 +319,9 @@ mozconfig_config() {
# Use jemalloc unless libc is not glibc >= 2.4
# at this time the minimum glibc in the tree is 2.9 so we should be safe.
- if use elibc_glibc && use jemalloc3; then
- # We must force-enable jemalloc 3 via .mozconfig
- echo "export MOZ_JEMALLOC3=1" >> "${S}"/.mozconfig || die
- mozconfig_annotate '' --enable-jemalloc
+ if use elibc_glibc && use jemalloc; then
+ # We must force-enable jemalloc 4 via .mozconfig
+ echo "export MOZ_JEMALLOC4=1" >> "${S}"/.mozconfig || die
mozconfig_annotate '' --enable-replace-malloc
fi